// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package wiki

import (
	"net/http"

	"sundynix-micro-go/app/plant/api/internal/logic/wiki"
	"sundynix-micro-go/app/plant/api/internal/svc"
	"sundynix-micro-go/common/response"
)

// 百科分类列表
func GetWikiClassListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := wiki.NewGetWikiClassListLogic(r.Context(), svcCtx)
		resp, err := l.GetWikiClassList()
		if err != nil {
			response.Fail(w, err.Error())
		} else {
			response.OkWithData(w, resp)
		}
	}
}
